Quantcast

Jump to content

» «
Photo

[Q] NET Framework 1.1 after 3.0

  • This topic is locked This topic is locked
7 replies to this topic
ZAZ
  • ZAZ

    Kernlochbohrer

  • Feroci
  • Joined: 10 Jan 2005
  • European-Union

#1

Posted 13 August 2009 - 07:33 AM Edited by ZAZ, 13 August 2009 - 07:35 AM.

Everybody know SAMI (San Andreas Mod Installer)
SAMI requires to install NET Framework 1.1 to can work.

Well, I got a my PC in Jan.2009 to can play GTA4 and installed the old WinXP, then sp1, then sp3
then my most important apps, ViceCity, San Andreas and GTA4
Now NET Framework 2.0 and NET Framework 3.0 is installed

To can use SAMI I must install NET Framework 1.1
but this is messing up my system.
Does anybody know a way to feign SAMI that NET Framework 1.1 is installed?

What I tried is to install 1.1 and then 3.5 but GTA4 wont work then
I think it was messing up GFWL


supermortalhuman
  • supermortalhuman

    522A4EA9

  • BUSTED!
  • Joined: 09 Jun 2009

#2

Posted 13 August 2009 - 08:28 AM

Damn, sounds like trouble. Maybe there is a way for a certain DLLs and other dependacies to be in the same folder (like d3d9 hacks) but the framework has SO many files it would be hard to find it if you unpack the installer (not install, but unpack it - never used any of the utilities out there for it though). I wonder if it is worth a try to unpack it and put it ALL in the folder. Maybe if it works, then just delete some files at a time and keep testing.

What do you use SAMI for mostly? Is there a way to go around it (manual install)?

ZAZ
  • ZAZ

    Kernlochbohrer

  • Feroci
  • Joined: 10 Jan 2005
  • European-Union

#3

Posted 13 August 2009 - 09:12 AM

QUOTE (supermortalhuman @ Aug 13 2009, 08:28)
Damn, sounds like trouble. Maybe there is a way for a certain DLLs and other dependacies to be in the same folder (like d3d9 hacks) but the framework has SO many files it would be hard to find it if you unpack the installer (not install, but unpack it - never used any of the utilities out there for it though). I wonder if it is worth a try to unpack it and put it ALL in the folder. Maybe if it works, then just delete some files at a time and keep testing.

What do you use SAMI for mostly? Is there a way to go around it (manual install)?

It's dotnetfx.exe
I can't remember if it first unpack files but I think it installs immediately after confirming
I wonna provide mods which includes ca. 100 files for gta3.img

billybag
  • billybag

    Player Hater

  • Members
  • Joined: 07 Nov 2009

#4

Posted 17 November 2009 - 02:52 AM

SAME PROBLEM!!!

You cannot install .Net 1.1 in windows 7.

WE NEED A FIX!!!

gtasearcher
  • gtasearcher

    No sh*t.

  • Members
  • Joined: 26 Aug 2008

#5

Posted 17 November 2009 - 05:26 AM

@ZAZ, I don't recommand you to use SAMI. I did use it some times and it mostly f*cked up my gta3.img.

I'd recommand you to use a method I guess you DID use before, that external img thingy with gta.dat editing. Now you might say: "but I want to replace models!" Well there's a fix for that too:
CODE
-go to {San An folder}\data\maps\generic
- find dynamic.ide and dynamic2.ide
- open them with Notepad
- there'd ya go, you can search for models there, and re-allocate their memory IDs to other files, which can also be in an external IMG; also, you can put new dynamic.ide-s there loaded by editing gta.dat :P

ZAZ
  • ZAZ

    Kernlochbohrer

  • Feroci
  • Joined: 10 Jan 2005
  • European-Union

#6

Posted 18 November 2009 - 10:29 PM Edited by ZAZ, 18 November 2009 - 10:32 PM.

QUOTE (gtasearcher @ Nov 17 2009, 05:26)
@ZAZ, I don't recommand you to use SAMI. I did use it some times and it mostly f*cked up my gta3.img.

I'd recommand you to use a method I guess you DID use before, that external img thingy with gta.dat editing. Now you might say: "but I want to replace models!" Well there's a fix for that too:
CODE
-go to {San An folder}\data\maps\generic
- find dynamic.ide and dynamic2.ide
- open them with Notepad
- there'd ya go, you can search for models there, and re-allocate their memory IDs to other files, which can also be in an external IMG; also, you can put new dynamic.ide-s there loaded by editing gta.dat :P

Thanks for the tip. Maybe I'll try it at any time.
But my intension was to get SAMI working.
And because of "f*cked up my gta3.img."
It's because you must run "Rebuild Archive" with an other tool after installation.

Vowa
  • Vowa

    Player Hater

  • Members
  • Joined: 22 Jan 2011

#7

Posted 03 May 2012 - 01:30 AM

I think this will fix your problems
Oldversion.com/framework_.net_1.1
lol.gif


Deji
  • Deji

    Coding like a Rockstar!

  • Feroci
  • Joined: 24 Dec 2007
  • None

#8

Posted 03 May 2012 - 11:23 AM

QUOTE (Vowa @ Thursday, May 3 2012, 01:30)
I think this will fix your problems
Oldversion.com/framework_.net_1.1
lol.gif

Get a time machine, go back 3 years, THEN make this reply wink.gif




1 user(s) are reading this topic

0 members, 1 guests, 0 anonymous users